(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('dropDownProfileFactory', dropDownProfileFactory);

    dropDownProfileFactory.$inject = ['configuracoesService'];

    function dropDownProfileFactory(configuracoesService) {
        function ConsultaUsuarioLogado() {
            return configuracoesService.ConsultaUsuarioLogado();
        }
        function ConsultaVersao() {
            return configuracoesService.ConsultaVersao();
        }
        function Logoff() {
            return configuracoesService.Logoff();
        }

        return {
            ConsultaUsuarioLogado: ConsultaUsuarioLogado,
            ConsultaVersao: ConsultaVersao,
            Logoff: Logoff
        };
    }
})();
